package com.pms.ocp.model.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import java.sql.Timestamp;

@Data
@Accessors(chain = true)
@TableName("ocp_api_extent")
@ApiModel("服务扩展信息表")
public class OcpApiExtent {
    @TableId(type = IdType.ASSIGN_ID)
    @ApiModelProperty("主键ID")
    private String objId;

    @ApiModelProperty("服务编码")
    private String apiCode;

//  @ApiModelProperty("系统名称")
//  private String sysName;

    //  @ApiModelProperty("模块")
//  private String partName;
//  @ApiModelProperty("服务群")
//  private String serviceGroup;
    @ApiModelProperty("服务")
    private String serviceName;
    @ApiModelProperty("所属集群")
    private String clusterName;
    @ApiModelProperty("所属命名空间")
    private String spaceName;
//  @ApiModelProperty("服务描述")
//  private String serviceDescription;

    @ApiModelProperty("部署信息")
    private String deployment;
//'0: ''待审核'',1: ''已审核'',2: ''未通过'', 3: ''未提交'',4:''建设中'',5:''下架'',6:''发布'''7.未发布
    @ApiModelProperty("服务状态0未发布1已发布")
    private String apiState;

    @ApiModelProperty("属性添加时间")
    private Timestamp apiCtime;

    @ApiModelProperty("属性修改时间")
    private Timestamp apiMtime;

    @ApiModelProperty("部属公司")
    private String depCompanyCode;

    @ApiModelProperty("是否已删除 0-否 1-是")
    private long isDelete;

//  public String getSysName() {
//    return sysName;
//  }
//
//  public void setSysName(String sysName) {
//    this.sysName = sysName;
//  }
//
//  public String getPartName() {
//    return partName;
//  }
//
//  public void setPartName(String partName) {
//    this.partName = partName;
//  }
//
//  public String getServiceGroup() {
//    return serviceGroup;
//  }

//  public void setServiceGroup(String serviceGroup) {
//    this.serviceGroup = serviceGroup;
//  }

    public String getServiceName() {
        return serviceName;
    }

    public void setServiceName(String serviceName) {
        this.serviceName = serviceName;
    }

    public String getClusterName() {
        return clusterName;
    }

    public void setClusterName(String clusterName) {
        this.clusterName = clusterName;
    }

    public String getSpaceName() {
        return spaceName;
    }

    public void setSpaceName(String spaceName) {
        this.spaceName = spaceName;
    }
    //  public String get所属命名空间() {
//    return spaceName;
//  }
//
//  public void set所属命名空间(String 所属命名空间) {
//    this.spaceName = spaceName;
//  }

//  public String getServiceDescription() {
//    return serviceDescription;
//  }

//  public void setServiceDescription(String serviceDescription) {
//    this.serviceDescription = serviceDescription;
//  }

    public String getDeployment() {
        return deployment;
    }

    public void setDeployment(String deployment) {
        this.deployment = deployment;
    }

    public String getApiState() {
        return apiState;
    }

    public void setApiState(String apiState) {
        this.apiState = apiState;
    }

    public Timestamp getApiCtime() {
        return apiCtime;
    }

    public void setApiCtime(Timestamp apiCtime) {
        this.apiCtime = apiCtime;
    }

    public Timestamp getApiMtime() {
        return apiMtime;
    }

    public void setApiMtime(Timestamp apiMtime) {
        this.apiMtime = apiMtime;
    }

    public String getDepCompanyCode() {
        return depCompanyCode;
    }

    public void setDepCompanyCode(String depCompanyCode) {
        this.depCompanyCode = depCompanyCode;
    }

    public String getObjId() {
        return objId;
    }

    public void setObjId(String objId) {
        this.objId = objId;
    }

    public String getApiCode() {
        return apiCode;
    }

    public void setApiCode(String apiCode) {
        this.apiCode = apiCode;
    }

    public long getIsDelete() {
        return isDelete;
    }

    public void setIsDelete(long isDelete) {
        this.isDelete = isDelete;
    }

}
