package com.pms.ocp.model.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;
import java.sql.Timestamp;
import java.util.List;

@Data
@Accessors(chain = true)
@TableName("ocp_api_group")
@ApiModel("服务分类表")
public class OcpApiGroup {

  @TableId(type = IdType.ASSIGN_ID)
  @ApiModelProperty("主键ID")
  private String objId;

  @ApiModelProperty("分类编码")
  private String apiGroupCode;

  @ApiModelProperty("分类名称")
  private String apiGroupName;

  @ApiModelProperty("推广类型0统推，1自建")
  private long apiGroupPromotionType;

  @ApiModelProperty("分类所属公司")
  private String apiGroupCompanyCode;

  @ApiModelProperty("分类版本")
  private String apiGroupVersion;

  @ApiModelProperty("显示顺序")
  private long apiGroupOrderNo;

  @ApiModelProperty("提交人id")
  private String apiGroupUserId;

  @ApiModelProperty("提交人姓名")
  private String apiGroupUserName;

  @ApiModelProperty("创建时间")
  private Timestamp apiGroupCtime;

  @ApiModelProperty("修改时间")
  private Timestamp apiGroupMtime;

  @ApiModelProperty("上级code")
  private String apiGroupPcode;

  @ApiModelProperty("是否删除0-否1-是")
  private long isDelete;

  @ApiModelProperty("分层树层级 1中台层 2中心层 3 服务组层 4服务层 ")
  private String apiGroupLevel;


  @ApiModelProperty("上级分类名称")
  @TableField(exist = false)
  private String classIfy;

  public String getClassIfy() {
    return classIfy;
  }

  public void setClassIfy(String classIfy) {
    this.classIfy = classIfy;
  }

  public String getApiGroupLevel() {
    return apiGroupLevel;
  }

  public void setApiGroupLevel(String apiGroupLevel) {
    this.apiGroupLevel = apiGroupLevel;
  }

  public String getObjId() {
    return objId;
  }

  public void setObjId(String objId) {
    this.objId = objId;
  }


  public String getApiGroupCode() {
    return apiGroupCode;
  }

  public void setApiGroupCode(String apiGroupCode) {
    this.apiGroupCode = apiGroupCode;
  }


  public String getApiGroupName() {
    return apiGroupName;
  }

  public void setApiGroupName(String apiGroupName) {
    this.apiGroupName = apiGroupName;
  }


  public long getApiGroupPromotionType() {
    return apiGroupPromotionType;
  }

  public void setApiGroupPromotionType(long apiGroupPromotionType) {
    this.apiGroupPromotionType = apiGroupPromotionType;
  }


  public String getApiGroupCompanyCode() {
    return apiGroupCompanyCode;
  }

  public void setApiGroupCompanyCode(String apiGroupCompanyCode) {
    this.apiGroupCompanyCode = apiGroupCompanyCode;
  }


  public String getApiGroupVersion() {
    return apiGroupVersion;
  }

  public void setApiGroupVersion(String apiGroupVersion) {
    this.apiGroupVersion = apiGroupVersion;
  }


  public long getApiGroupOrderNo() {
    return apiGroupOrderNo;
  }

  public void setApiGroupOrderNo(long apiGroupOrderNo) {
    this.apiGroupOrderNo = apiGroupOrderNo;
  }


  public String getApiGroupUserId() {
    return apiGroupUserId;
  }

  public void setApiGroupUserId(String apiGroupUserId) {
    this.apiGroupUserId = apiGroupUserId;
  }


  public String getApiGroupUserName() {
    return apiGroupUserName;
  }

  public void setApiGroupUserName(String apiGroupUserName) {
    this.apiGroupUserName = apiGroupUserName;
  }


  public Timestamp getApiGroupCtime() {
    return apiGroupCtime;
  }

  public void setApiGroupCtime(Timestamp apiGroupCtime) {
    this.apiGroupCtime = apiGroupCtime;
  }


  public Timestamp getApiGroupMtime() {
    return apiGroupMtime;
  }

  public void setApiGroupMtime(Timestamp apiGroupMtime) {
    this.apiGroupMtime = apiGroupMtime;
  }


  public String getApiGroupPcode() {
    return apiGroupPcode;
  }

  public void setApiGroupPcode(String apiGroupPcode) {
    this.apiGroupPcode = apiGroupPcode;
  }


  public long getIsDelete() {
    return isDelete;
  }

  public void setIsDelete(long isDelete) {
    this.isDelete = isDelete;
  }



}
