package com.pms.ocp.service;

import com.pms.ocp.model.entity.ModelClassify;

import java.util.List;

/**
 * @Auther: wangjian
 * @Date: 2022/2/22 16:07
 * @Description:模型类型业务层接口
 */
public interface ModelTypeService {

    /**
     * 创建模型分类
     *
     * @param modelClassify
     * @return
     */
    Integer createModelType(ModelClassify modelClassify);

    /**
     * 删除模型分类
     *
     * @param modelId
     * @return
     */
    Integer deleteModelType(String modelId);

    /**
     * 更新模型分类
     *
     * @param modelClassify
     * @return
     */
    Integer updateModelType(ModelClassify modelClassify);

    /**
     * 获取模型分类
     *
     * @param
     * @return
     */
    List<ModelClassify> getModelTypeList();

    /**
     * 获取模型分类列表
     *
     * @param modelId
     * @return
     */
    ModelClassify getModelType(String modelId);
}
